OpenGLRaw-1.5.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.Raw.ARB.ProvokingVertex

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the ARB_provoking_vertex extension, see http://www.opengl.org/registry/specs/ARB/provoking_vertex.txt.

Synopsis

- glProvokingVertex :: GLenum -> IO ()
- gl_FIRST_VERTEX_CONVENTION :: GLenum
- gl_LAST_VERTEX_CONVENTION :: GLenum
- gl_PROVOKING_VERTEX :: GLenum
- gl_QUADS_FOLLOW_PROVOKING_VERTEX_CONVENTION :: GLenum

# Functions

glProvokingVertex :: GLenum -> IO ()

# Tokens

gl_FIRST_VERTEX_CONVENTION :: GLenum

gl_LAST_VERTEX_CONVENTION :: GLenum

gl_PROVOKING_VERTEX :: GLenum

gl_QUADS_FOLLOW_PROVOKING_VERTEX_CONVENTION :: GLenum